Get Integration Token

API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

GET
/security/integration-tokens/{uuid}

Get an integration token of the team by UUID. Requires admin or owner.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

Integration token UUID.

Response Body

application/json

application/json

application/json

curl -X GET "https://app.coolify.io/api/v1/security/integration-tokens/string"
{  "uuid": "string",  "name": "string",  "provider": "cloudflare",  "capabilities": [    "dns"  ],  "automatic_dns": true,  "proxied_dns": true,  "dns_zones_count": 0,  "zones_synced_at": "string",  "created_at": "string",  "updated_at": "string"}
{  "message": "Unauthenticated."}
Empty
{  "message": "Resource not found."}